# Uses of Class
org.opensaml.saml.common.profile.logic.EntityAttributesPredicate.Candidate

Packages that use EntityAttributesPredicate.Candidate
Package
Description
org.opensaml.saml.common.profile.logic
Functions and predicates supporting common SAML profile behavior.

## Uses of EntityAttributesPredicate.Candidate in org.opensaml.saml.common.profile.logic

Fields in org.opensaml.saml.common.profile.logic with type parameters of type EntityAttributesPredicate.Candidate
Modifier and Type
Field
Description
`private final Collection<EntityAttributesPredicate.Candidate>`
EntityAttributesPredicate.`candidateSet`
Candidates to check for.
Methods in org.opensaml.saml.common.profile.logic that return types with arguments of type EntityAttributesPredicate.Candidate
Modifier and Type
Method
Description
`Collection<EntityAttributesPredicate.Candidate>`
EntityAttributesPredicate.`getCandidates()`
Get the candidate criteria.
Methods in org.opensaml.saml.common.profile.logic with parameters of type EntityAttributesPredicate.Candidate
Modifier and Type
Method
Description
`boolean`
EntityAttributesPredicate.EntityAttributesMatcher.`test(EntityAttributesPredicate.Candidate input)`
Constructor parameters in org.opensaml.saml.common.profile.logic with type arguments of type EntityAttributesPredicate.Candidate
Modifier
Constructor
Description
``
`EntityAttributesPredicate(Collection<EntityAttributesPredicate.Candidate> candidates)`
Constructor.
``
`EntityAttributesPredicate(Collection<EntityAttributesPredicate.Candidate> candidates, boolean trim)`
Constructor.
``
`EntityAttributesPredicate(Collection<EntityAttributesPredicate.Candidate> candidates, boolean trim, boolean all)`
Constructor.